Subject: Re: [Anima] I-D Action: draft-rfmesh-anima-iot-management-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Thu, 13 Jul 2017 16:18:56 +1200

Hi,

A quick comment since I will not be in Prague. This draft opens an
important topic. At least we should explore it in more depth.

One comment is that specifying how GRASP unicast messages would work
over UDP is not quite simple - that's why it isn't covered in the
main GRASP spec. Ensuring that the chosen solution really does save
radio resource compared to TCP handshakes is perhaps tricky, since there
are complicated implementation issues, not just a protocol design.

There are probably a few things we can do to make GRASP messages shorter,
although CBOR already does a pretty good job. However, I just ran a test,
and gzip can compress the example messages in draft-ietf-anima-grasp
to about 60% of the raw CBOR size.

Regards
   Brian

On 04/07/2017 03:23, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>         Title           : ANI Applied in IoT Network Management
>         Authors         : Bing Liu
>                           Yuefeng Wu
> 	Filename        : draft-rfmesh-anima-iot-management-00.txt
> 	Pages           : 10
> 	Date            : 2017-07-03
> 
> Abstract:
>    This document describes an IoT scenario where ACP and GRASP is
>    suitable to act as a network management channel and a lightweight and
>    extensible network management protocol.  Relevent GRASP extention and
>    options are also specified to fulfill the requirements of the
>    scenario.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-rfmesh-anima-iot-management/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-rfmesh-anima-iot-management-00
> https://datatracker.ietf.org/doc/html/draft-rfmesh-anima-iot-management-00
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>